Page 1 of 1

Can not running on my Xcode....sadly

Posted: Thu Jan 10, 2019 4:32 pm
by vincent
:(
Maybe I need the older version xcode.
Or reconfig it again.
Any suggestion ?

Re: Can not running on my Xcode....sadly

Posted: Thu Jan 10, 2019 4:33 pm
by Mr. Kibernetik
BASIC SDK was tested on Xcode 7.

Re: Can not running on my Xcode....sadly

Posted: Fri Feb 08, 2019 2:39 am
by vincent
Ok, I will test it again. On my latest IDE.

Re: Can not running on my Xcode....sadly

Posted: Fri Feb 08, 2019 3:33 am
by GeorgeMcGinn
I know it works on version 7 and version 8.

I have version 8'and you can set your XCode to a prior version for testing. I do a lot of backward compatibility testing as part of my software process.

Re: Can not running on my Xcode....sadly

Posted: Sat Feb 23, 2019 4:46 pm
by vincent
Hi George,
Thank you for your work.
:D

Vincent Lin ;)

Re: Can not running on my Xcode....sadly

Posted: Thu Jun 06, 2019 6:13 am
by GeorgeMcGinn
I wonder if with the new Xcode whether we will ever be able to create apps again as the version of the SDK has not been updated in almost 2 years, another words it's predates iOS so 11 and 12.

Before my iMac crapped out on me, a lot of the simple their coding statements such as SLIDER statement no longer worked in Xcode, and Apple's development support said it was because the SDK was not in sync with what has been currently developed in the new iOS releases.

Unless this is remedied, I fear that the problem will only get worse as Apple continues to develop and change the way statements work as Mr. K is no longer supporting this product which means the SDK is no longer been updated as well.

Good luck come in if you need some help you can PM me.




vincent wrote:
Sat Feb 23, 2019 4:46 pm
Hi George,
Thank you for your work.
:D

Vincent Lin ;)

Re: Can not running on my Xcode....sadly

Posted: Thu Jun 06, 2019 7:07 am
by Mr. Kibernetik
Smart BASIC SDK is just an Xcode project and can be updated to current Xcode version.